Subject: Re: [http-state] prepping for -httpstate-cookie publication request

From: Adam Barth <[email-masked]>
Date: Sat, 6 Nov 2010 17:38:38 -0700

On Thu, Oct 28, 2010 at 9:48 AM, =JeffH <[email-masked]> wrote:
> I ran -17 though idnits <http://tools.ietf.org/tools/idnits/idnits.pyht>
> (see below)
>
> seems we need to fixup minor references stuff; we should..
>
> - remove ref to RFC5891.

Done.

> - replace ref to RFC 3548 with one to RFC 4648.

Done.

> - add actual informative ref to UTS46 (<reference/> entry supplied below).

Done.

> - make ref to RFC 5895 informative.

Done.

> plus make other minor changes we have queued, i.e. the fixups to "5.1.2.
> Canonicalized host names" mentioned on Tue 26-Oct.

Done.

Adam

---

From: Adam Barth <[email-masked]>
Date: Sat, 6 Nov 2010 17:46:01 -0700

I believe I've processed all the outstanding feedback.  Here's the
latest version of the draft:

http://www.adambarth.com/experimental/cookie.txt

Unfortunately, I can't upload it to the IETF web site because of
Beijing.  Also, I tried running it through the idnits tool, but the
tool crashed.  I'm not sure whether to interpret that as a pass or a
fail.

Adam

---

From: Bjoern Hoehrmann <[email-masked]>
Date: Sun, 07 Nov 2010 01:55:22 +0100

>tool crashed.  I'm not sure whether to interpret that as a pass or a

While http://tools.ietf.org/tools/idnits/ does not produce results for
me either, I got this from http://www.ietf.org/tools/idnits/ FWIW:

  idnits 2.12.05 
  
  /tmp/cookie.txt:
  
    Checking boilerplate required by RFC 5378 and the IETF Trust (see
    http://trustee.ietf.org/license-info):
    ----------------------------------------------------------------------------
  
       No issues found here.
  
    Checking nits according to http://www.ietf.org/id-info/1id-guidelines.txt:
    ----------------------------------------------------------------------------
  
    ** Missing revision: the document name given in the document,
       'draft-ietf-httpstate-cookie-18pre', does not give the document revision
       number
  
    == Mismatching filename: the document gives the document name as
       'draft-ietf-httpstate-cookie-18pre', but the file name used is 'cookie'

    Checking nits according to http://www.ietf.org/id-info/checklist :
    ----------------------------------------------------------------------------
  
       No issues found here.
  
    Miscellaneous warnings:
    ----------------------------------------------------------------------------
  
    == The document seems to lack the recommended RFC 2119 boilerplate, even if
       it appears to use RFC 2119 keywords -- however, there's a paragraph with
       a matching beginning. Boilerplate error?
  
       (The document does seem to have the reference to RFC 2119 which the
       ID-Checklist requires).
    -- The document has a disclaimer for pre-RFC5378 work, but was first
       submitted on or after 10 November 2008.  Does it really need the
       disclaimer?
  
    -- The document date (October 2010) is 22 days in the past.  Is this
       intentional?

    Checking references for intended status: Proposed Standard
    ----------------------------------------------------------------------------
  
       (See RFCs 3967 and 4897 for information about using normative references
       to lower-maturity documents in RFCs)
  
    ** Obsolete normative reference: RFC 3490 (Obsoleted by RFC 5890, RFC 5891)
  
    -- Obsolete informational reference (is this intentional?): RFC 2109
       (Obsoleted by RFC 2965)

       Summary: 2 errors (**), 2 warnings (==), 3 comments (--).
  
       Run idnits with the --verbose option for more detailed information about
       the items above.
  
  [document follows]
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/

---

From: Adam Barth <[email-masked]>
Date: Sat, 6 Nov 2010 18:08:13 -0700

> me either, I got this from http://www.ietf.org/tools/idnits/ FWIW:

Thanks.  What's the difference between those two?

Adam

---

From: Bjoern Hoehrmann <[email-masked]>
Date: Sun, 07 Nov 2010 02:15:55 +0100

>Thanks.  What's the difference between those two?

Both identify as v2.12.05, so for all that I can tell with the other
service inaccessible, they are simply separate installations of the
same tool. It's just a bash script available under the GPLv2+ license,
you could download it and run it locally if you have the tools it needs.
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/

---

From: Julian Reschke <[email-masked]>
Date: Sun, 07 Nov 2010 09:22:38 +0100

On 07.11.2010 01:55, Bjoern Hoehrmann wrote:
> ...
> ...

The next in the spec needs to be an edited version if the full 
statement, leaving out "SHALL", for instance.

The way of least resistance probably is to steal the full paragraph from 
somewhere else, such as 
<http://tools.ietf.org/html/draft-ietf-httpbis-p1-messaging-12#section-1.1>.

Best regards, Julian

---

From: Adam Barth <[email-masked]>
Date: Sun, 7 Nov 2010 01:28:20 -0700

On Sun, Nov 7, 2010 at 1:22 AM, Julian Reschke <[email-masked]> wrote:
> The next in the spec needs to be an edited version if the full statement,
> leaving out "SHALL", for instance.
>

Done.  (We don't actually use SHALL, so it seemed unnecessary to
include it.  Also, the "official" version uses "key words" instead of
"keywords", which isn't standard English.)

Adam

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 09 Nov 2010 11:05:22 +0800

On 11/7/10 8:46 AM, Adam Barth wrote:
> Beijing.

I-D submission is open again. Fire away! :)

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Adam Barth <[email-masked]>
Date: Mon, 8 Nov 2010 20:25:14 -0800

> I-D submission is open again. Fire away! :)

Done:
http://www.ietf.org/id/draft-ietf-httpstate-cookie-18.txt

Adam

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 09 Nov 2010 12:41:16 +0800

> http://www.ietf.org/id/draft-ietf-httpstate-cookie-18.txt

Thanks, Adam. I'll chat with Jeff in Beijing about moving this forward,
but I think we're ready to go.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/